Bug 849806 - Add restriction of portal name
Add restriction of portal name
Status: ON_QA
Product: JBoss Enterprise Portal Platform 5
Classification: JBoss
Component: Documentation (Show other bugs)
5.2.1.GA
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 5.2.2.GA
Assigned To: mmurray
Tomas Kyjovsky
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-20 20:25 EDT by Takayuki Konishi
Modified: 2015-08-09 21:27 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: A release note is required for this issue. Consequence: Fix: Result:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Takayuki Konishi 2012-08-20 20:25:27 EDT
Description of problem:

Add "First character should be alphabet or underscore." at the end of sentences
in user guide 6.2.1. Create a New Portal - step 4.

Version-Release number of selected component (if applicable):

How reproducible: 100%

Steps to Reproduce:
1. Open [1] in a browser.
2. See 6.2.1. Create a New Portal - step 4.

[1] https://access.redhat.com/knowledge/docs/en-US/JBoss_Enterprise_Portal_Platform/5.2/html/User_Guide/sect-User_Guide-Manage_Portals.html#sect-User_Guide-Create_a_New_Portal
  
Actual results:

Click the next Portal Setting tab to configure some aspects of the new portal.

Enter a string for the Portal Name field. This field is required and must be unique. Only alphabetical, numerical, dash and underscore characters are allowed for this field and the name must be between 3 and 30 characters. 

Expected results:

Click the next Portal Setting tab to configure some aspects of the new portal.

Enter a string for the Portal Name field. This field is required and must be unique. Only alphabetical, numerical, dash and underscore characters are allowed for this field and the name must be between 3 and 30 characters. First character should be alphabet or underscore.

Additional info:
Comment 2 Russell Dickenson 2012-10-07 20:00:52 EDT
Attention: Petr

After completing the changes required by this ticket, please ensure you "svn up" (or git-svn equivalent) immediately afterward.
Comment 3 Petr Penicka 2012-10-10 17:45:18 EDT
Added the info to both 5.2 and 6.0 versions of the User Guide. 

The changes are committed to both SVN repos. 
The 5.2 version is also visible on the docs stage [1]. 
The 6.0 version is not on the stage at all, so I couldn't stage the changes in this version. Should be added to the stage later on.

[1] http://documentation-devel.engineering.redhat.com/docs/en-US/JBoss_Enterprise_Portal_Platform/5.2/html-single/User_Guide/index.html#sect-User_Guide-Create_a_New_Portal

Note You need to log in before you can comment on or make changes to this bug.